import jsonp from 'jsonp'
import {
    stringify
} from 'query-string'


export default (url, api, option) => {
    url += (url.indexOf('?') < 0 ? '?' : '&') + stringify({
        method: 'usmaction.inter.dict.getDictItemByDictCatCode',
        dictCatCode: api,
        v: 1000
    })
    return new Promise((resolve, reject) => {
        jsonp(url, option || {
            param: 'yfcallback'
        }, (err, data) => {
            if (!err) {
                let resData = data.inter_dict_getDictItemByDictCatCode_response.data;
                resData ? resolve(resData) : reject(data.error_response && data.error_response.msg)
            } else {
                reject(err)
            }
        })
    })
}