import jsonp from 'jsonp'
import {
    stringify
} from 'query-string'


export default (url, data = {}, option = {}) => {
    url += (url.indexOf('?') < 0 ? '?' : '&') + stringify(data)
    return new Promise((resolve, reject) => {
        jsonp(url, option, (err, data) => {
            if (!err) {
                resolve(data)
            } else {
                reject(err)
            }
        })
    })
}